This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 798372 - requesting non-existent owners with admin auth creates an ERROR entry in the logs
requesting non-existent owners with admin auth creates an ERROR entry in the ...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Bryan Kearney
Eric Sammons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 13:28 EST by Brenton Leanhardt
Modified: 2012-07-17 09:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 09:03:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2012-02-28 13:28:55 EST
Description of problem:

Making this request:
curl -u candlepin_admin:XXXXXX http://example.com:8080/candlepin/owners/12345/

Results in the following log message:

Feb 28 13:26:41 [http-8080-1] ERROR org.candlepin.auth.interceptor.SecurityInterceptor - No such entity: class org.candlepin.model.Owner id: 12345



Version-Release number of selected component (if applicable):

candlepin-tomcat6-0.5.5.2-1.el6.noarch
candlepin-0.5.5.2-1.el6.noarch

Expected results:
I don't expect anything other than a debug or info level log entry to be created.

Additional info:
This is tripping up our monitoring.
Comment 1 Bryan Kearney 2012-03-01 15:09:19 EST
Fixed in master at b8e075ae17cedc3c21e2966dbf9cc89c33bc0e51. 05.24 or later should have the fix.
Comment 2 Bryan Kearney 2012-07-17 09:03:15 EDT
Marking all community bugs modified or beyong as closed.

Note You need to log in before you can comment on or make changes to this bug.